Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get organization

Prev Next

Available in Classic and VPC

Get organization details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /open-api/v1/org

Request headers

For information about the headers common to all Organization APIs, see Organization request headers.

Request example

The request example is as follows:

curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/org' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
organizationNo Integer - Organization number
organizationName String - Organization name
organizationDesc String - Organization description
masterMemberNo Integer - Master account member ID
masterMemberName String - Master account username
masterMemberEmailAddress String - Master account user email address
masterMemberYn String - Whether it is a master account
  • Y | N
    • Y: master account
    • N: not a master account
memberNo Integer - Master account member ID
joinYmdt Integer - Sign-up date and time (millisecond)
  • Unix timestamp format
memberStatusCode String - Account status code
regYmdt Integer - Creation date and time (millisecond)
  • Unix timestamp format

Response status codes

For response status codes common to all Organization APIs, see Organization response status codes.

Response example

The response example is as follows:

{
    "organizationNo": 2706,
    "organizationName": "NAVER Cloud Corporation",
    "organizationDesc": "NAVER Cloud organization",
    "masterMemberNo": 260****,
    "masterMemberName": "Gildong Hong",
    "masterMemberEmailAddress": "j*********@navercorp.com",
    "masterMemberYn": "Y",
    "memberNo": 260****,
    "joinYmdt": 1738539893024,
    "memberStatusCode": "JOIN",
    "regYmdt": null
}